import { createSolanaRpc, createSolanaRpcSubscriptions } from "@solana/web3.js";
import { SolanaClusterMoniker } from "../types/rpc";
/**
 * Get a public Solana RPC endpoint for a cluster based on its moniker
 *
 * Note: These RPC URLs are rate limited and not suitable for production applications.
 */
export declare function getPublicSolanaRpcUrl(cluster: SolanaClusterMoniker): string;
/**
 * Create a Solana `rpc` and `rpcSubscriptions`
 */
export declare function createSolanaRpcAndSubscriptions(urlOrMoniker: string | URL | SolanaClusterMoniker): {
    rpc: ReturnType<typeof createSolanaRpc>;
    rpcSubscriptions: ReturnType<typeof createSolanaRpcSubscriptions>;
};
//# sourceMappingURL=rpc.d.ts.map